/* ============================
   CARD WRAPPER
   ============================ */
.lr-cardbox {
    position: relative;
    max-width: 280px !important;
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    color: #fff;
    border: 2px solid #111111;
    box-shadow: 0 6px 10px rgba(0,0,0,0.8);
    transition: transform .25s ease, box-shadow .25s ease, border-color .25s ease;
    background: linear-gradient(
        145deg,
        #373D42,
        #2f3438,
        #3f454a,
        #51575d,
        #3f454a,
        #2f3438,
        #373D42
    );
}

/* Riflesso lucido soft */
.lr-cardbox::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(
        145deg,
        rgba(255,255,255,0.08) 0%,
        rgba(255,255,255,0.03) 50%,
        rgba(255,255,255,0) 100%
    );
    pointer-events: none;
}

.lr-cardbox:hover {
    transform: translateY(-4px);
    border-color: #fcb040;
    box-shadow: 0 12px 32px rgba(0,0,0,0.35);
}

/* ============================
   BADGE NEW
   ============================ */
.lr-badge-new {
    position: absolute;
    top: 1px;
    right: 1px;
    background: #fcb040;
    color: #fff;
    font-size: 12px;
    font-weight: 700;
    padding: 8px 12px;
    border-radius: 0px 14px;
    display: flex;
    align-items: center;
    gap: 6px;
}

.lr-badge-new .lr-icon {
    font-size: 14px;
}

/* ============================
   TITOLI
   ============================ */
.lr-title {
    font-size: 16px;
    font-weight: 700;
    color: #fcb040;
    margin: 0px !important;
}

.lr-subtitle {
    font-size: 14px;
    opacity: .9;
}

/* ============================
   IMAGE
   ============================ */
.lr-imgbox {
    display: flex;
    justify-content: center;
    align-items: normal;
    width: 100%;
    height: 150px;
    overflow: hidden;
    margin-bottom: 12px;
    background: radial-gradient(black, transparent);
}

.lr-imgbox img {
    width: 100%;
    height: 100%;
    object-fit: contain !important;
    object-position: center 70% !important;
    transition: transform .35s ease;
    cursor: pointer;
}

.lr-cardbox:hover .lr-imgbox img {
    transform: scale(1.06);
}

/* ============================
   DIVIDER
   ============================ */
.lr-divider {
    width: 100%;
    height: 1px;
    /*background: rgba(252,176,64,0.5);*/
    margin: 5px 0;
}

/* ============================
   PRICE
   ============================ */
.lr-price-main {
    font-size: 14px;
    color: #fff;
    margin-bottom: 0;
    text-transform: capitalize !important;
}
.lr-price-main strong{
        color: #fcb040;
        font-weight: 700;
}

.lr-price-sub {
    font-size: 16px;
    margin-bottom: 10px;
    color: #fcb040;
}
.lr-price-main strong{
        color: #fcb040;
        font-weight: 700;
}

.lr-price-old {
    text-decoration: line-through !important;
    margin-right: 5px;
}

/* ============================
   FEATURES
   ============================ */
.lr-features {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    padding: 0;
    margin: 0 0 10px 0;
    list-style: none;
    justify-content: space-around;
}

.lr-features li {
    color: #fff;
    font-weight: 700;
    font-size: 14px;
    padding: 6px 12px;
    border-radius: 1px;
    display: inline-block;
    text-align: center;
}

.lr-features li span {
    color: #fcb040 !important;
    text-transform: uppercase !important;
    font-size: 20px;
}

/* ============================
   BUTTON
   ============================ */
.lr-btn {
    background: #fcb040;
    color: #000;
    border: none;
    padding: 12px;
    border-radius: 10px;
    font-weight: 700;
    font-size: 14px;
    text-align: center;
    cursor: pointer;
    transition: background .2s ease, transform .2s ease;
}

.lr-btn:hover {
    background: #ffd061;
    transform: translateY(-2px);
}

/* ============================
   GRID LAYOUT
   ============================ */
.lr-grid, .lr-grid-new-act {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
}

/* ==========
    PAG. AUTO
    ========== */
/* Desktop grandi >= 1440px: 3 colonne */
@media (min-width: 1400px) {
    .lr-grid {
        /*max-width: 1400px;*/
        flex: 0 0 calc((100% - 72px) / 4);
        margin: 0 auto;
        padding: 0px 20px;
    }
}
@media (min-width: 1200px) {
    .lr-grid .lr-cardbox {
        flex: 0 0 calc((100% - 72px) / 3);
        /* max-width: calc((100% - 72px) / 5); */
    }
}
@media (min-width: 992px) and (max-width: 1199px) {
    .lr-grid .lr-cardbox {
        flex: 0 0 calc((100% - 54px) / 3);
        /* max-width: calc((100% - 54px) / 4); */
    }
}
@media (min-width: 421px) and (max-width: 991px) {
    .lr-grid .lr-cardbox {
        flex: 0 0 calc((100% - 18px) / 2);
        /* max-width: calc((100% - 18px) / 2); */
    }
}
@media (max-width: 420px){
    .lr-grid .lr-cardbox {
        flex: 0 0 100%;
        /* max-width: calc((100% - 18px) / 2); */
    }
}

/* ==========
    PAG. HOME
    ========== */
@media (min-width: 1400px) {
    .lr-grid-new-act {
        /*max-width: 1400px;*/
        margin: 0 auto;
        padding: 0px 20px;
    }
}

@media (min-width: 1200px) {
    .lr-grid-new-act .lr-cardbox {
        flex: 0 0 calc((100% - 72px) / 5);
        /* max-width: calc((100% - 72px) / 5); */
    }
}
@media (min-width: 992px) and (max-width: 1199px) {
    .lr-grid-new-act .lr-cardbox {
        flex: 0 0 calc((100% - 54px) / 4);
        /* max-width: calc((100% - 54px) / 4); */
    }
}
@media (min-width: 481px) and (max-width: 991px) {
    .lr-grid-new-act .lr-cardbox {
        flex: 0 0 calc((100% - 18px) / 2);
        /* max-width: calc((100% - 18px) / 2); */
    }
    .lr-grid-new-act{
        justify-content: flex-start !important;
        overflow: auto !important;
        flex-wrap: nowrap !important;
    }
}
@media (max-width: 480px){
    .lr-grid-new-act .lr-cardbox {
        flex: 0 0 calc((100% - 18px) / 1);
        padding: 10px !important;
        /* max-width: calc((100% - 18px) / 2); */
    }
    .lr-grid-new-act{
        justify-content: flex-start !important;
        overflow: auto !important;
        flex-wrap: nowrap !important;
    }
}



/* ==========
    BOTH PAGES
    ========== */
/* Mobile piccoli <= 576px: 1 colonna */
/* @media (max-width: 575px) {
    .lr-grid-new-act .lr-cardbox {
        flex: 0 0 100%;
        max-width: 100%;
        gap: 14px;
    }
} */

/* ============================
   EMPTY
   ============================ */
.lr-empty-msg {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    background: #fcb040;
    color: #000;
    padding: 20px 15px;
    border-radius: 6px;
    font-size: 18px;
    font-weight: 700;
    margin: 20px 0;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    gap: 10px;
}

.lr-empty-msg .lr-icon {
    font-size: 24px;
}

/* ============================
   PAGINAZIONE
   ============================ */
.longrent-pagination{
    margin: 20px 0;
    padding: 10px 0;
    background: #fff9e9;
    border-radius: 12px;
    border: 1px solid #fcb04044;
    box-shadow: 0 2px 6px rgba(0,0,0,0.08);
    width: 100%;
    text-align: center;
}

.lr-pagination-wrapper button.lr-page-btn {
    background: #fcb040;
    color: #000;
    border: none;
    padding: 10px 18px;
    border-radius: 10px;
    font-weight: 700;
    font-size: 14px;
    margin: 0 10px;
    cursor: pointer;
    transition: background .2s ease, transform .2s ease;
}

.lr-pagination-wrapper button.lr-page-btn:hover {
    background: #ffd061;
    transform: translateY(-2px);
}

.lr-pagination-wrapper span,
.lr-pagination-list-info {
    font-weight: 700;
    font-size: 15px;
    margin: 0 15px;
    color: #2b2970;
}

.lr-pagination-list-info{
    margin-bottom: 10px !important;
}

/* ============================
   SELECT ORDINAMENTO LISTA
   ============================ */
#lr-list-sort {
    padding: 10px 12px;
    border-radius: 8px;
    border: 1px solid #fcb04044;
    background: #282761;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    outline: none;
    transition: border-color .2s ease, background .2s ease;
    cursor: pointer;
}

#lr-list-sort:focus {
    border-color: #fcb040;
    background: #3a3992;
}

#lr-list-sort option {
    background: #282761;
    color: #fff;
}



